Page MenuHomePhabricator

Make it so the Help link on the RC page links to beta feature help for beta users
Closed, ResolvedPublic

Description

We are creating a series of Help pages for the new RC Filters beta features. To make sure that beta users, and only beta users, see these help pages, we've agreed on a plan to make it so that the Help link on the RC page works differently for beta users and non-beta users.

Related Objects

StatusAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
OpenNone
ResolvedJohan
ResolvedTrizek-WMF
Resolved jmatazzoni
ResolvedSBisson
ResolvedPginer-WMF
ResolvedTrizek-WMF
Resolved jmatazzoni
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedTrizek-WMF
ResolvedPginer-WMF
Resolved jmatazzoni
ResolvedCatrope
ResolvedPginer-WMF
Resolved jmatazzoni

Event Timeline

Trizek-WMF updated the task description. (Show Details)Feb 23 2017, 9:51 AM
Trizek-WMF updated the task description. (Show Details)
jmatazzoni renamed this task from Cross-link beta Help docs and old RC Page help docs using banners designed in T147054 to Make it so the Help link on the RC page links to beta feature help for beta users.Feb 24 2017, 8:19 PM
jmatazzoni updated the task description. (Show Details)
jmatazzoni added a subscriber: Catrope.

Change 340365 had a related patch set uploaded (by Sbisson):
[mediawiki/core] RC filters: custom help link for beta users

https://gerrit.wikimedia.org/r/340365

Trizek-WMF updated the task description. (Show Details)Mar 2 2017, 11:08 AM

The documentation page has been moved to have a better name and a new content: https://www.mediawiki.org/wiki/Help:New_filters_for_edit_review. Please update.

The documentation page has been moved to have a better name and a new content: https://www.mediawiki.org/wiki/Help:New_filters_for_edit_review. Please update.

Got it. Should it be prefixed with 'Special:MyLanguage'?

Got it. Should it be prefixed with 'Special:MyLanguage'?

Yes, absolutely!

Change 340365 merged by jenkins-bot:
[mediawiki/core] RC filters: custom help link for beta users

https://gerrit.wikimedia.org/r/340365

'Help' link for the users who enabled beta feature 'New filters for edit review' will redirect to https://www.mediawiki.org/wiki/Help:New_filters_for_edit_review.

'Help' link for the users without beta feature 'New filters for edit review' enabled will redirect to https://meta.wikimedia.org/wiki/Help:Recent_changes

Opt-in/opt out from the feature 'New filters for edit review' will change redirection for 'Help' link accordingly.

QA recommendation: Resolve.

jmatazzoni closed this task as Resolved.Mar 9 2017, 2:26 AM